/* Add here all your CSS customizations */

.btn-outline-custom 
{
    color: #d2322d;
    background-color: transparent;
    background-image: none;
    border-color: #d2322d;
    
} 

.btn-outline-custom:hover {
    color: #fff;
    background-color: #d2322d;
    border-color: #d2322d;
}
.btn-outline-primary {
    color: #0088cc;
    background-color: transparent;
    background-image: none;
    border-color: #0088cc;
    
}
.btn-outline-primary:hover {
    color: #fff;
    background-color: #0088cc;
    border-color: #0088cc;
}
.no-wrap {
    white-space: nowrap;
}
    th {
    white-space: nowrap; /* Evitar saltos de línea en los th */
    overflow: hidden;
    text-overflow: ellipsis;
    max-width: 200px; /* Puedes ajustar el ancho máximo según tu preferencia */
    }
    td, th {
    text-align: center; /* Centrar horizontalmente */
    vertical-align: middle; /* Centrar verticalmente */
    }
    td {
    font-size: 13px;
    }
    #datatable_actividades tbody td {
    font-size: 12px; /* Ajusta el tamaño de fuente según tus preferencias */
    }
    #datatable_actividades tr {
    /* Otras reglas de estilo según sea necesario */
    }
    .table > thead > tr > th, .table > tbody > tr > th, .table > tfoot > tr > th, .table > thead > tr > td, .table > tbody > tr > td, .table > tfoot > tr > td {
    padding: 8px;
    line-height: 1.42857143;
    vertical-align: middle;
    border-top: 1px solid #dddddd;
    }

    .dataTables_filter {
        float: right;
        margin-bottom: 10px; /* Ajusta el margen inferior según sea necesario */
        }
        div.dt-container div.dt-search label {
        font-weight: normal;
        white-space: nowrap;
        text-align: left;
        float: right;
        margin-bottom: 0; 
        display: none;
        }
        div.dt-container .dt-search input {
        border: 1px solid #aaa;
        border-radius: 3px;
        padding: 5px;
        background-color: transparent;
        color: inherit;
        margin-left: 3px;
        float: right;
        }
        div.dt-container div.dt-paging ul.pagination {
        float: right;
        padding-top: 10px;
        }
        input-sm, .form-group-sm .form-control {
        height: 30px;
        padding: 5px 10px;
        font-size: 14px;
        line-height: 1.5;
        border-radius: 3px;
        }
        div.dt-container .dt-search input {
        border: 1px solid #aaa;
        border-radius: 3px;
        padding: 6px;
        background-color: transparent;
        color: inherit;
        margin-left: 3px;
        float: right;
        }
        .dt-empty {
        padding: 50px 0;
        height: 200px; /* Altura deseada */
        text-align: center;
        line-height: 200px;
        text-align: center; 
        vertical-align: middle;
        }
        table.dataTable th.dt-empty, table.dataTable td.dt-empty {
        text-align: center;
        vertical-align: middle;
        }
        #datatable th {
  text-align: center;
}

.table-responsive {
    overflow-x: auto;
    overflow-y: hidden;
    max-width: 100%;
    }
    .norma {
    text-align: justify;
    }
    .centrado {
    text-align: center;
    }
    thead {
    background-image: linear-gradient(to bottom, rgba(255, 255, 255, 0.1) 0%, #F0F0F0 20%, #E0E0E0 100%);
    box-shadow: 0 0 5px #B3B3B3; /* Adjust shadow color for better contrast */
    }
    .no-wrap
    {
    white-space: nowrap;
    }
    thead {
    background-image: linear-gradient(to bottom, rgba(255, 255, 255, 0.1) 0%, #F0F0F0 20%, #E0E0E0 100%);
    box-shadow: 0 0 5px #B3B3B3; /* Adjust shadow color for better contrast */
    }
    .dataTables_wrapper .dataTables_filter input.input-sm {
    width: 150px; /* Ajusta el tamaño según tu preferencia */
    }
    .btn-success-outline {
    color: #47a447;
    border: 1px solid #47a447;
    background-color: transparent;
    padding: 0.5em 1em;
    text-decoration: none;
    display: inline-block;
    cursor: pointer;
    border-radius: 4px;
    transition: background-color 0.3s ease;
    }
    .btn-success-outline:hover {
    background-color: #47a447;
    color: #fff;
    }
    .dataTables_filter {
    float: right;
    margin-bottom: 10px; /* Ajusta el margen inferior según sea necesario */
    }
    div.dt-container div.dt-search label {
    font-weight: normal;
    white-space: nowrap;
    text-align: left;
    float: right;
    margin-bottom: 0; 
    display: none;
    }
    div.dt-container .dt-search input {
    border: 1px solid #aaa;
    border-radius: 3px;
    padding: 5px;
    background-color: transparent;
    color: inherit;
    margin-left: 3px;
    float: right;
    }
    div.dt-container div.dt-paging ul.pagination {
    float: right;
    padding-top: 5px;
    }




    .dataTables_filter {
        float: right;
        margin-bottom: 10px; /* Ajusta el margen inferior según sea necesario */
     }

     div.dt-container div.dt-search label {
        font-weight: normal;
        white-space: nowrap;
        text-align: left;
        float: right;
        margin-bottom: 0; 
        display: none;
     }

     div.dt-container .dt-search input {
        border: 1px solid #aaa;
        border-radius: 3px;
        padding: 5px;
        background-color: transparent;
        color: inherit;
        margin-left: 3px;
        float: right;
     }

     div.dt-container div.dt-paging ul.pagination {

        float: right;
        padding-top: 5px;
     }

     div.dt-container div.dt-paging{
        float: right;
        padding-top: 5px;
       
     }

     .dt-paging-button {
margin-right: 5px; /* Ajusta este valor según sea necesario */
}

div.dt-container div.dt-length select {
width: auto;
display: inline-block;
margin-right: 0.5em;
}

/* Estilos para el botón de página actual */
.dt-paging-button.current {
color: #fff;
background-color: #08c;
border-color: #08c;
border-radius: 0.25rem; /* Ajusta el radio de borde según sea necesario */
}

/* Estilos para el botón de página actual al pasar el mouse */
.dt-paging-button.current:hover {
color: #fff;
background-color: #08c;
border-color: #08c;
border-radius: 0.25rem; /* Ajusta el radio de borde según sea necesario */
}
.centered-no-wrap {
			
    justify-content: center;
	text-align: center  !important;
}


